const path = require('path');
module.exports = {
    entry: {
        main: './ts/main',
    },
    output: {
        path: path.resolve(__dirname, './prod/js'),
        filename: '[name].bundle.js'
    },
    module: {
      rules: [
        {
          test: /\.tsx?$/,
          use: 'ts-loader',
          exclude: /node_modules/
        }
      ]
    },
    resolve: {
      extensions: [ '.tsx', '.ts', '.js' ]
    },
    watch: true
}
